LINUX.ORG.RU

Catalyst 10.6

 , , ,


0

0

Вышла новая версия проприетарного драйвера для видеокарт AMD/ATI.

Официальная поддержка OpenGL 4.0 и OpenGL 3.3

  • Официальная поддержка OpenGL 4.0 на адаптерах серии Radeon HD 5000.
  • Официальная поддержка OpenGL 3.3 на адаптерах серии Radeon HD.

Поддержка новых операционных систем Linux

  • Добавлена поддержка RHEL 5.5

Улучшение производительности 2D

  • Новая архитектура 2D-ускорения, которая обеспечивает высокую скорость изменения размеров окна при использовании Compiz и видео-эффектов.
  • Заявлено общее улучшение производительности 2D во всех официально поддерживаемых AMD Linux-дистрибутивах.

Release Notes (pdf).

>>> Подробности

★★★★★

Проверено: JB ()

Ответ на: комментарий от kernelpanic

>А как сейчас дела обстоят на открытых драйверах с регулировкой оборотов кулера и контролем температур?

код уже написан, должны включить в 2.6.36. хотели успеть к 2.6.35, но Линус не взял. подробности конечно же на форониксе.

awesome ()
Ответ на: комментарий от Ingwar

если думаешь брать HD5xxx, то только закрытый драйвер нормально работает. если думаешь брать встроенную в материнку, типа 785G, то все хорошо и на открытом драйвере.

awesome ()
Ответ на: комментарий от Ingwar

у меня amd-nvidia (Athlon II x2 250 + 2GB ddr3 + 8600GTS - видушка с предыдущего). все работает, и вам советую.

leg0las ★★★★★ ()
Ответ на: комментарий от n4ela

нет, ты не один :) Про артефакты в Firefox'е и Nautilus'е я уже писал.

Andru ★★★★ ()
Ответ на: комментарий от PolarFox

Нет, у меня совсем некоторые текстуры развалились- кокпита практически не видно- серый фон с контурами приборов. Даже не взлететь было. А вот в Urban Terror наоборот все текстуры стали лучше, сочнее. Все гугление ссылалось на 2007г. Наверное у какого-то кода комменты случайно сняли =)

anonymous ()
Ответ на: комментарий от daemonpnz

А в чем проявляются артефакты в 2д в фаерфоксе?!

К примеру область ответа на ЛОРе становилась черной 8) Это если переключиться с compiz'а на WM без композитинга.

Andru ★★★★ ()
Ответ на: комментарий от Andru

С cairo-compmgr такого не замечено и вообще че то пока багов в 2д не замечал.

daemonpnz ★★★★★ ()
Ответ на: комментарий от leg0las

>у меня amd-nvidia (Athlon II x2 250 + 2GB ddr3 + 8600GTS - видушка с предыдущего). все работает, и вам советую.
Древновато.

Booster ★★ ()
Ответ на: комментарий от Booster

Чьорд! Оказывается мой Athlon64 X2 6400+ BE + 4Gb DDR2 + HD3870 вообще древний хлам и его давно пора выбросить на свалку.

kernelpanic ★★★★★ ()
Ответ на: комментарий от daemonpnz

С cairo-compmgr такого не замечено и вообще че то пока багов в 2д не замечал.

Ну с compiz'ом тоже как-бы работало нормально, переключился на metacity и офигел. Ровно как и с mutter, где вообще чудеса начались, хотя раньше вроде сносно работало.

Andru ★★★★ ()
Ответ на: комментарий от kernelpanic

>Чьорд! Оказывается мой Athlon64 X2 6400+ BE + 4Gb DDR2 + HD3870 вообще древний хлам и его давно пора выбросить на свалку.
Советовать такое для новой покупки я бы не стал. А вообще да это уже изрядно устарело. Хотя сам пока сижу на P4. ^)

Booster ★★ ()
Ответ на: комментарий от kernelpanic

Дык уже как минимум два поколения железа вышло.

Booster ★★ ()
Ответ на: комментарий от Booster

>Дык уже как минимум два поколения железа вышло.

И дальше что? Срочно бежать в магазин за новым железом? Моя текущая конфигурация отлично справляется со всеми нужными мне задачами. Так как понять, устарело оно или нет?

kernelpanic ★★★★★ ()
Ответ на: комментарий от Andru

ну у меня связка openbox+cairo-compmgr. Включал выключал композит, все нормально. Проблем нету.

daemonpnz ★★★★★ ()
Ответ на: комментарий от kernelpanic

>И дальше что? Срочно бежать в магазин за новым железом? Моя текущая конфигурация отлично справляется со всеми нужными мне задачами. Так как понять, устарело оно или нет?
То что что-то устарело ещё не повод куда-то бежать. ^) У меня ещё более древнее, но я не бегу.

Booster ★★ ()
Ответ на: комментарий от daemonpnz

ну у меня связка openbox+cairo-compmgr. Включал выключал композит, все нормально. Проблем нету.

Какая видеокарта, версия иксов, ядро? :) У меня 2.6.34 x86_64, X.org 1.7, Radeon HD4650

Andru ★★★★ ()

Самое главное!!!

>Grass and crops are no longer rendered randomly at unusual locations in «Battlefield 2 Bad Company» game scenes

Ибо трава должна быть на месте.

ansi ★★★★ ()
Ответ на: комментарий от daemonpnz

мистика, ёпт :) Но я по прежнему остаюсь на xf86-video-ati, т.к. куда шустрее все работает, а продвинутое 3D на ноуте особо пока не нужно.

Andru ★★★★ ()

Не становится на SuSE 10.3

Пробую ставить на последний билд openSUSE 10.3. Не хочет. Говорит что не поддерживает дистрибутив. Что-то типа no current distro support.

Это можно как-то сменить?

UkrMaks ()
Ответ на: комментарий от Andru

я бы тоже сидел на xf86-video-ati, если бы не аппаратное декодирование fullHD видео.

daemonpnz ★★★★★ ()
Ответ на: комментарий от Booster

openSUSE 11.3-Milestone7

Нет, это я намешал ;) У меня стоит openSUSE 11.3-Milestone7. Но там эти дрова не хотят идти. Пока стоят драйвера radeon-hd. Карта - Mobility Radeon HD 5470.

Ужасно тормозит даже браузер со сглаженными шрифтами, про 3D эффекты - их вообще нельзя включить

UkrMaks ()
Ответ на: комментарий от FakeLinux

>> Пользователи nvidia смотрят на Вас как на пользователей ati.

с завистью в смысле?

anonymous ()
Ответ на: комментарий от daemonpnz

если бы не аппаратное декодирование fullHD видео.

у меня оно тоже весьма весело работает... много рипов да, работают более-менее, но некоторые искажают цвета(все уходит в какие-то слишком теплые тона), а другие и вовсе кашу показывают местами 8) Но на ноуте HD и так не надо, к тому же сам проц вытягивает все запускаемые мною FullHD на 10-18Гб.

Andru ★★★★ ()
Ответ на: Самое главное!!! от ansi

Re: Самое главное!!!

А что «Battlefield 2 Bad Company» выпустили под Linux?

anonymous ()
Ответ на: комментарий от Booster

Рендеры все пробовал?

для XvBA там их всего два - OpenGL и вроде заработавший PCOM. Хотя на страничке XvBA по прежнему значится «No 2D rendering through PCOM». Да и непобедимый tearing у меня был, хотя я даже compiz вырубал... Жду xvba-video 0.6.12 или сразу 0.7, для тестов :)

Andru ★★★★ ()
Ответ на: openSUSE 11.3-Milestone7 от UkrMaks

поставь дрова ati, radeonhd мертв.
попробуй mesa-llvm libdrm x-server и сопутствующее поставить от сюда
http://download.opensuse.org/repositories/home:/pontostroy/openSUSE_Factory/
если поставишь mesa-llvm даже получишь 3d, но программное, эффекты kwin должны бегать, а вот что будет со скролингом не знаю.

Novell-ch ★★★★★ ()

пытался создать пакеты путём --buildpkg для убунты 10.04. Результатом установки полученных пакетов оказался сегфолт ксорга, хотя драйвер загрузился корректно судя по логам. Карточка сапфир 4850, чипсет 785G. У кого какие резалты ищё?

trueshell ★★★★★ ()
Ответ на: комментарий от anonymous

anonymous> АТИ ориентируется только на оффтопик сегмент!

ATI больше нет. Есть AMD. И она ориентируется на оффтопик не больше, чем нвидия.

Quasar ★★★★★ ()
Ответ на: комментарий от ponchik

ponchik> А между тем пользователи нвидиа спокойно работают, смотрят фильмы и отдыхают. Все атисты дуалбутчики, что бы посмотреть фильм больше 700мегабайт грузят вин7макс, что бы поиграть в 3й!!! Квак тоже самое, даже реверсинженерная ноувеа в 10 раз производительней и стабильней всех ваших 10версий драйверов. Мазахисты же.

Ты только что заляпал жиром серверную с серваком ЛОРа.

Quasar ★★★★★ ()

Иксы не стартонули с новым драйвером

лог http://pastebin.com/JBDCmTPK

Arch 2.6.33е ядро, 1.7.6 хорг. Подскажите пожалуйста где я не прав.

Behem0th ★★★★★ ()
Ответ на: комментарий от Ingwar

Ingwar> владельцы последних ати, как сейчас с гемороем атишным, сильные ли проблемы? какие карточки брать. хочу собрать себе новый комп весь на амд-ати

Если надо здесь и сейчас - Radeon HD 4xxx

Если нужен задел на будущее - Radeon Evergreen.

Quasar ★★★★★ ()
Ответ на: комментарий от Dmitry_Sokolowsky

Dmitry_Sokolowsky> А как установить эту байду на линукс?

Через репозиторий.

Quasar ★★★★★ ()
Ответ на: комментарий от Behem0th

вроде тут )):
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:0:0) found

смотри что там в xorg.conf & Device section

elipse ★★★ ()
Ответ на: комментарий от elipse

Section «Device»

Identifier «ATI Radeon 4850»

# Driver «vesa»

# Driver «radeon»

# Driver «radeonhd»

Driver «fglrx»

VendorName «All»

BoardName «All»

EndSection

Каиалист 10.5 с таким конфигом запускался 10.6 не хочет(

Behem0th ★★★★★ ()
Ответ на: комментарий от Behem0th

не выдумывай)
убери запись Driver «fglrx»
и сделай:
#aticonfig --initial
#reboot

elipse ★★★ ()
Ответ на: комментарий от Andru

Каша у меня была на 10.4, в 10.5 уже исправили, сейчас на 10.6 все нормально работает.

В amdcccle «Wait for vertical refresh» выставил в «On, unless application specifies», после этого tearing пропал, правда cairo-compmgr выключен был. ;)

daemonpnz ★★★★★ ()
Ответ на: комментарий от elipse

aticonfig --initial добавил только эту строку

BusID «PCI:1:0:0»

и все заработало.

Behem0th ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.